Bug 615915 - luci log shows lots of timeouts talking to ricci
Summary: luci log shows lots of timeouts talking to ricci
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Andrew Beekhof
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-19 09:20 UTC by Fabio Massimo Di Nitto
Modified: 2016-04-26 14:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-28 14:03:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Fabio Massimo Di Nitto 2010-07-19 09:20:32 UTC
------------------------------------------------------------
/usr/lib/python2.6/site-packages/luci/lib/ricci_communicator.py:58: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  if e.message:
/usr/lib/python2.6/site-packages/luci/lib/ricci_communicator.py:60: DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  % (self.__hostname, self.__port, e.message)
11:18:00,549 ERROR [luci.lib.ricci_communicator] Unable to establish an SSL connection to rhel6-node1:11111: _ssl.c:465: The handshake operation timed out
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/luci/lib/ricci_communicator.py", line 56, in __init__
    self.ss.connect((self.__hostname, self.__port))
  File "/usr/lib64/python2.6/ssl.py", line 309, in connect
    self.do_handshake()
  File "/usr/lib64/python2.6/ssl.py", line 293, in do_handshake
    self._sslobj.do_handshake()
SSLError: _ssl.c:465: The handshake operation timed out

I have seen messages similar to this one repeated several times during testing.

NOTE: all cluster nodes and luci instance are all VM running on top of the same hosts, no iptables or strange network setups are involved. they are all in the same LAN.

Comment 1 Andrew Beekhof 2010-07-27 13:02:56 UTC
self._sslobj.do_handshake() is actually a call into a C function.  
Its not even clear what timeout its using.

We've already established the connection, so it shouldn't be a DNS issue.
Possibly a reverse DNS lookup is taking too long, or maybe something to do with GSSAPI authentication.

If you're still seeing this, try setting the following in /etc/ssh/ssh_config on the machine running Luci:

     VerifyHostKeyDNS no
     GSSAPIAuthentication no

Comment 5 Fabio Massimo Di Nitto 2010-07-28 14:03:23 UTC
I didn´t have time to investigate it and I haven´t spotted the messages in luci.log for sometime. I am closing it for now and if I hit it again, i´ll reopen


Note You need to log in before you can comment on or make changes to this bug.